Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class JohnsonSUDist

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.JohnsonSUDist

All Implemented Interfaces:
  Distribution

    public class JohnsonSUDist

extends ContinuousDistribution

Extends the class `ContinuousDistribution` for the Johnson SU distribution. It has shape parameters γ and δ > 0, location parameter ξ, and scale parameter λ > 0. Denoting y = (x - ξ)/λ, the distribution has density

f (x) = δ/(λ(y^2 + 1)1/2(2π)1/2exp(- (1/2)[γ + δln[y + (y^2 + 1)1/2]]2)) for - ∞ < x < ∞,

and distribution function

F(x) = Φ{γ + δln[y + (y^2 + 1)1/2]}, for - ∞ < x < ∞,

where Φ is the standard normal distribution function. The inverse distribution function is

F-1(u) = ξ + λ(et(u) - e-t(u))/2, for 0 <= u < 1,

where

t(u) = [Φ-1(u) - γ]/δ.

This class relies on the methods `NormalDist.cdf01` and `NormalDist.inverseF01` of `NormalDist` to approximate Φ and Φ-1.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`JohnsonSUDist(double gamma, double delta)` Same as `JohnsonSUDist` (gamma, delta, 0.0, 1.0).
`JohnsonSUDist(double gamma, double delta, double xi, double lambda)` Constructs a `JohnsonSUDist` object with shape parameters γ and δ, location parameter ξ, and scale parameter λ.

Method Summary
`static double` | `barF(double gamma, double delta, double xi, double lambda, double x)` Computes the complementary distribution function 1 - F(x).
`double` | `cdf(double x)` Returns the distribution function F(x).
`static double` | `cdf(double gamma, double delta, double xi, double lambda, double x)` Computes the distribution function F(x).
`double` | `density(double x)` Returns f (x), the density evaluated at x.
`static double` | `density(double gamma, double delta, double xi, double lambda, double x)` Computes the density function f (x).
`double` | `getDelta()` Returns the value of δ for this object.
`double` | `getGamma()` Returns the value of γ for this object.
`double` | `getLambda()` Returns the value of λ for this object.
`double` | `getMean()` Returns the mean.
`static double` | `getMean(double gamma, double delta, double xi, double lambda)` Computes and returns the mean of the Johnson SU distribution with parameters γ, δ, ξ and λ.
`double[]` | `getParams()` Return a table containing the parameters of the current distribution.
`double` | `getStandardDeviation()` Returns the standard deviation.
`static double` | `getStandardDeviation(double gamma, double delta, double xi, double lambda)` Computes and returns the standard deviation of the Johnson SU distribution with parameters γ, δ, ξ and λ.
`double` | `getVariance()` Returns the variance.
`static double` | `getVariance(double gamma, double delta, double xi, double lambda)` Computes and returns the variance of the Johnson SU distribution with parameters γ, δ, ξ and λ.
`double` | `getXi()` Returns the value of ξ for this object.
`double` | `inverseF(double u)` Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`.
`static double` | `inverseF(double gamma, double delta, double xi, double lambda, double u)` Computes the inverse distribution function F-1(u).
`void` | `setParams(double gamma, double delta, double xi, double lambda)` Sets the value of the parameters γ, δ, ξ and λ for this object.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`barF, inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JohnsonSUDist

    public JohnsonSUDist(double gamma,
                         double delta)

  Same as `JohnsonSUDist` (gamma, delta, 0.0, 1.0).

### JohnsonSUDist

    public JohnsonSUDist(double gamma,
                         double delta,
                         double xi,
                         double lambda)

  Constructs a `JohnsonSUDist` object with shape parameters γ and δ, location parameter ξ, and scale parameter λ.

Method Detail

### density

    public double density(double x)

  Description copied from class: `ContinuousDistribution`
  Returns f (x), the density evaluated at x.

  Specified by:
    `density` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the density is evaluated
  Returns:
    density function evaluated at `x`

### cdf

    public double cdf(double x)

  Description copied from interface: `Distribution`
  Returns the distribution function F(x).

  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    distribution function evaluated at `x`

### inverseF

    public double inverseF(double u)

  Description copied from class: `ContinuousDistribution`
  Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`. Restrictions: u∈[0, 1].

  Specified by:
    `inverseF` in interface `Distribution`
  Overrides:
    `inverseF` in class `ContinuousDistribution`
  Parameters:
    `u` - value at which the inverse distribution function is evaluated
  Returns:
    the inverse distribution function evaluated at `u`

### getMean

    public double getMean()

  Description copied from class: `ContinuousDistribution`
  Returns the mean.

  Specified by:
    `getMean` in interface `Distribution`
  Overrides:
    `getMean` in class `ContinuousDistribution`
  Returns:
    the mean

### getVariance

    public double getVariance()

  Description copied from class: `ContinuousDistribution`
  Returns the variance.

  Specified by:
    `getVariance` in interface `Distribution`
  Overrides:
    `getVariance` in class `ContinuousDistribution`
  Returns:
    the variance

### getStandardDeviation

    public double getStandardDeviation()

  Description copied from class: `ContinuousDistribution`
  Returns the standard deviation.

  Specified by:
    `getStandardDeviation` in interface `Distribution`
  Overrides:
    `getStandardDeviation` in class `ContinuousDistribution`
  Returns:
    the standard deviation

### density

    public static double density(double gamma,
                                 double delta,
                                 double xi,
                                 double lambda,
                                 double x)

  Computes the density function f (x).

### cdf

    public static double cdf(double gamma,
                             double delta,
                             double xi,
                             double lambda,
                             double x)

  Computes the distribution function F(x).

### barF

    public static double barF(double gamma,
                              double delta,
                              double xi,
                              double lambda,
                              double x)

  Computes the complementary distribution function 1 - F(x).

### inverseF

    public static double inverseF(double gamma,
                                  double delta,
                                  double xi,
                                  double lambda,
                                  double u)

  Computes the inverse distribution function F-1(u).

### getMean

    public static double getMean(double gamma,
                                 double delta,
                                 double xi,
                                 double lambda)

  Computes and returns the mean of the Johnson SU distribution with parameters γ, δ, ξ and λ.

  Returns:
    the mean of the Johnson SU distribution E[X] = ξ - λexp1/(2δ2)sinh(γ/δ)

### getVariance

    public static double getVariance(double gamma,
                                     double delta,
                                     double xi,
                                     double lambda)

  Computes and returns the variance of the Johnson SU distribution with parameters γ, δ, ξ and λ.

  Returns:
    the variance of the Johnson SU distribution Var[X] = (λ2/2)(exp1/δ2 -1)(exp1/δ2cosh(2γ/δ) + 1)

### getStandardDeviation

    public static double getStandardDeviation(double gamma,
                                              double delta,
                                              double xi,
                                              double lambda)

  Computes and returns the standard deviation of the Johnson SU distribution with parameters γ, δ, ξ and λ.

  Returns:
    the standard deviation of the Johnson SU distribution

### getGamma

    public double getGamma()

  Returns the value of γ for this object.

### getDelta

    public double getDelta()

  Returns the value of δ for this object.

### getXi

    public double getXi()

  Returns the value of ξ for this object.

### getLambda

    public double getLambda()

  Returns the value of λ for this object.

### setParams

    public void setParams(double gamma,
                          double delta,
                          double xi,
                          double lambda)

  Sets the value of the parameters γ, δ, ξ and λ for this object.

### getParams

    public double[] getParams()

  Return a table containing the parameters of the current distribution. This table is put in regular order: [γ, δ, ξ, λ].

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.